# Welcome to GeminiTeacher

[![PyPI version](https://badge.fury.io/py/geminiteacher.svg)](https://badge.fury.io/py/geminiteacher)
[![Build status](https://img.shields.io/github/actions/workflow/status/supersheepbear/GeminiTeacher/main.yml?branch=main)](https://github.com/supersheepbear/GeminiTeacher/actions/workflows/main.yml?query=branch%3Amain)
[![codecov](https://codecov.io/gh/supersheepbear/GeminiTeacher/branch/main/graph/badge.svg)](https://codecov.io/gh/supersheepbear/GeminiTeacher)
[![License](https://img.shields.io/github/license/supersheepbear/GeminiTeacher)](https://img.shields.io/github/license/supersheepbear/GeminiTeacher)

**GeminiTeacher** is an AI-powered course creation toolkit using Google's Gemini LLM. It transforms raw text, markdown, or documents into structured, lesson-based educational content. Ideal for educators, developers, and content creators.

## Getting Started

All the information you need, from installation to advanced usage, has been consolidated into a single, comprehensive guide.

- **[The Complete Usage Guide](usage.md)**  
  *Click here to learn how to install, configure, and use the GUI, CLI, and Python API.*

## Key Documentation Sections

- **[The Complete Usage Guide](usage.md)**  
  *Everything you need to get up and running.*

- **[Modules Overview](modules.md)**  
  *A technical deep-dive into the package's architecture and core components.*

- **[Parallel Processing](parallel.md)**  
  *Learn how to leverage parallel generation for maximum speed.*
